nannde回答ポイント 60ptウォッチ

PHP【演算子 << 】Unsupported operand types


PHP 5.2 です。

$priority = array(1);
var_dump(((1 << ($priority + 1)) - 1));

=> Fatal error: Unsupported operand types 発生します。

どうすれば回避可能なのでしょうか?

* 外部ライブラリなのでコードは変更できません。
* 何かの設定が足りないか、バージョンが問題ではないかと推測しております。

よろしくお願いいたします。

※ 有料アンケート・ポイント付き質問機能は2023年2月28日に終了しました。
ログインして回答する

ベストアンサー

その他の回答

この質問へのコメント

コメントはありません

この質問への反応(ブックマークコメント)

質問の情報

登録日時
2009-11-12 19:22:41
終了日時
2009-11-12 20:01:45
回答条件
1人2回まで

この質問のカテゴリ

この質問に含まれるキーワード

PHP7798演算子53ライブラリ985

人気の質問

メニュー

PC版